org.apache.maven.scm.provider.accurev.command.login

## Class AccuRevLoginCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.provider.accurev.command.AbstractAccuRevCommand
    - - org.apache.maven.scm.provider.accurev.command.login.AccuRevLoginCommand

All Implemented Interfaces:
  Command

    public class AccuRevLoginCommand
    extends AbstractAccuRevCommand

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AccuRevLoginCommand(ScmLogger logger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ScmResult` `executeAccurevCommand(AccuRevScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`LoginScmResult` `login(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`

### Methods inherited from class org.apache.maven.scm.provider.accurev.command.AbstractAccuRevCommand

`executeCommand, getScmFiles`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AccuRevLoginCommand

    public AccuRevLoginCommand(ScmLogger logger)

### Method Detail

#### executeAccurevCommand

    protected ScmResult executeAccurevCommand(AccuRevScmProviderRepository repository,
                                              ScmFileSet fileSet,
                                              CommandParameters parameters)
                                       throws ScmException,
                                              AccuRevException

Specified by:
  `executeAccurevCommand` in class `AbstractAccuRevCommand`
Throws:
  `ScmException`
  `AccuRevException`

#### login

    public LoginScmResult login(ScmProviderRepository repository,
                                ScmFileSet fileSet,
                                CommandParameters parameters)
                         throws ScmException

Throws:
  `ScmException`